Manifest-Version: 1.0
Bnd-LastModified: 1727692668889
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Workflow Kaleo Definition Implementation
Bundle-SymbolicName: com.liferay.portal.workflow.kaleo.definition.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.17.hotfix-9257-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.petra.string;version="1.5",com.liferay.por
 tal.configuration.metatype.bnd.util;version="2.0",com.liferay.portal.
 kernel.exception;version="9.7",com.liferay.portal.kernel.model;versio
 n="5.6",com.liferay.portal.kernel.security.auth;version="2.7",com.lif
 eray.portal.kernel.security.permission;version="3.5",com.liferay.port
 al.kernel.service;version="4.20",com.liferay.portal.kernel.util;versi
 on="10.38",com.liferay.portal.kernel.workflow;version="9.6",com.lifer
 ay.portal.kernel.xml;version="7.0",com.liferay.portal.workflow.config
 uration;version="1.0",com.liferay.portal.workflow.kaleo;version="2.0"
 ,com.liferay.portal.workflow.kaleo.definition;version="1.3",com.lifer
 ay.portal.workflow.kaleo.definition.deployment;version="2.1",com.life
 ray.portal.workflow.kaleo.definition.exception;version="1.3",com.life
 ray.portal.workflow.kaleo.definition.export;version="1.1",com.liferay
 .portal.workflow.kaleo.definition.export.builder;version="1.0",com.li
 feray.portal.workflow.kaleo.definition.parser;version="1.1",com.lifer
 ay.portal.workflow.kaleo.model;version="3.3",com.liferay.portal.workf
 low.kaleo.service;version="5.7"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Workflow
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.workflow.kaleo.definition.internal
 .deployment,com.liferay.portal.workflow.kaleo.definition.internal.exp
 ort,com.liferay.portal.workflow.kaleo.definition.internal.export.buil
 der,com.liferay.portal.workflow.kaleo.definition.internal.parser
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.workflow.kaleo.definition.deployment.WorkflowDeployer";uses:=
 "com.liferay.portal.workflow.kaleo.definition.deployment",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.workflow.kaleo.definit
 ion.export.DefinitionExporter";uses:="com.liferay.portal.workflow.kal
 eo.definition.export",osgi.service;objectClass:List<String>="com.life
 ray.portal.workflow.kaleo.definition.export.NodeExporter";uses:="com.
 liferay.portal.workflow.kaleo.definition.export",osgi.service;objectC
 lass:List<String>="com.liferay.portal.workflow.kaleo.definition.expor
 t.builder.DefinitionBuilder";uses:="com.liferay.portal.workflow.kaleo
 .definition.export.builder",osgi.service;objectClass:List<String>="co
 m.liferay.portal.workflow.kaleo.definition.internal.export.NodeExport
 erRegistry";uses:="com.liferay.portal.workflow.kaleo.definition.inter
 nal.export",osgi.service;objectClass:List<String>="com.liferay.portal
 .workflow.kaleo.definition.internal.export.builder.NodeBuilder";uses:
 ="com.liferay.portal.workflow.kaleo.definition.internal.export.builde
 r",osgi.service;objectClass:List<String>="com.liferay.portal.workflow
 .kaleo.definition.internal.export.builder.NodeBuilderRegistry";uses:=
 "com.liferay.portal.workflow.kaleo.definition.internal.export.builder
 ",osgi.service;objectClass:List<String>="com.liferay.portal.workflow.
 kaleo.definition.internal.parser.NodeValidatorRegistry";uses:="com.li
 feray.portal.workflow.kaleo.definition.internal.parser",osgi.service;
 objectClass:List<String>="com.liferay.portal.workflow.kaleo.definitio
 n.parser.NodeValidator";uses:="com.liferay.portal.workflow.kaleo.defi
 nition.parser",osgi.service;objectClass:List<String>="com.liferay.por
 tal.workflow.kaleo.definition.parser.WorkflowModelParser";uses:="com.
 liferay.portal.workflow.kaleo.definition.parser",osgi.service;objectC
 lass:List<String>="com.liferay.portal.workflow.kaleo.definition.parse
 r.WorkflowValidator";uses:="com.liferay.portal.workflow.kaleo.definit
 ion.parser"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.RoleLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.UserLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.workflow.kaleo.KaleoWorkflowModelCon
 verter)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.workflow.kaleo.definition.export.NodeExporter)";effective
 :=active;resolution:=optional;cardinality:=multiple,osgi.service;filt
 er:="(objectClass=com.liferay.portal.workflow.kaleo.definition.export
 .builder.DefinitionBuilder)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.workflow.kaleo.definition.internal.ex
 port.NodeExporterRegistry)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.workflow.kaleo.definition.internal.exp
 ort.builder.NodeBuilder)";effective:=active;resolution:=optional;card
 inality:=multiple,osgi.service;filter:="(objectClass=com.liferay.port
 al.workflow.kaleo.definition.internal.export.builder.NodeBuilderRegis
 try)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.workflow.kaleo.definition.internal.parser.NodeValidatorRegis
 try)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.workflow.kaleo.definition.parser.NodeValidator)";effective:=
 active;resolution:=optional;cardinality:=multiple,osgi.service;filter
 :="(objectClass=com.liferay.portal.workflow.kaleo.service.KaleoAction
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.workflow.kaleo.service.KaleoConditionLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.workflow.kaleo.service.KaleoDefinitionLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.
 kaleo.service.KaleoDefinitionService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.workflow.kaleo.service.Kale
 oDefinitionVersionLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.workflow.kaleo.service.KaleoNodeL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.workflow.kaleo.service.KaleoNotificationLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.workflow.kaleo.service.KaleoNotificationRecipientLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.workflow.kaleo.service.KaleoTaskAssignmentLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.workf
 low.kaleo.service.KaleoTaskFormLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.workflow.kaleo.servi
 ce.KaleoTaskLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.workflow.kaleo.service.KaleoTimerLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.workflow.kaleo.service.KaleoTransitionLocalService)";effe
 ctive:=active,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.workflow.kaleo.definiti
 on.internal.deployment.DefaultWorkflowDeployer.xml,OSGI-INF/com.lifer
 ay.portal.workflow.kaleo.definition.internal.export.ConditionNodeExpo
 rter.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.intern
 al.export.ForkNodeExporter.xml,OSGI-INF/com.liferay.portal.workflow.k
 aleo.definition.internal.export.JoinNodeExporter.xml,OSGI-INF/com.lif
 eray.portal.workflow.kaleo.definition.internal.export.JoinXorNodeExpo
 rter.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.intern
 al.export.NodeExporterRegistry.xml,OSGI-INF/com.liferay.portal.workfl
 ow.kaleo.definition.internal.export.StateNodeExporter.xml,OSGI-INF/co
 m.liferay.portal.workflow.kaleo.definition.internal.export.TaskNodeEx
 porter.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.inte
 rnal.export.XMLDefinitionExporter.xml,OSGI-INF/com.liferay.portal.wor
 kflow.kaleo.definition.internal.export.builder.ConditionNodeBuilder.x
 ml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.internal.exp
 ort.builder.DefaultDefinitionBuilder.xml,OSGI-INF/com.liferay.portal.
 workflow.kaleo.definition.internal.export.builder.ForkNodeBuilder.xml
 ,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.internal.expor
 t.builder.JoinNodeBuilder.xml,OSGI-INF/com.liferay.portal.workflow.ka
 leo.definition.internal.export.builder.JoinXorNodeBuilder.xml,OSGI-IN
 F/com.liferay.portal.workflow.kaleo.definition.internal.export.builde
 r.NodeBuilderRegistry.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.
 definition.internal.export.builder.StateNodeBuilder.xml,OSGI-INF/com.
 liferay.portal.workflow.kaleo.definition.internal.export.builder.Task
 NodeBuilder.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition
 .internal.parser.ConditionNodeValidator.xml,OSGI-INF/com.liferay.port
 al.workflow.kaleo.definition.internal.parser.DefaultWorkflowValidator
 .xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.internal.p
 arser.ForkNodeValidator.xml,OSGI-INF/com.liferay.portal.workflow.kale
 o.definition.internal.parser.JoinNodeValidator.xml,OSGI-INF/com.lifer
 ay.portal.workflow.kaleo.definition.internal.parser.JoinXorNodeValida
 tor.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.interna
 l.parser.NodeValidatorRegistry.xml,OSGI-INF/com.liferay.portal.workfl
 ow.kaleo.definition.internal.parser.StateNodeValidator.xml,OSGI-INF/c
 om.liferay.portal.workflow.kaleo.definition.internal.parser.TaskNodeV
 alidator.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.in
 ternal.parser.XMLWorkflowModelParser.xml
Tool: Bnd-4.3.0.201909301554

